## List all uploaded schemas `client.SchemaValidation.Schemas.List(ctx, params) (*V4PagePaginationArray[PublicSchema], error)` **get** `/zones/{zone_id}/schema_validation/schemas` Lists all OpenAPI schemas uploaded to API Shield with pagination support. ### Parameters - `params SchemaListParams` - `ZoneID param.Field[string]` Path param: Identifier. - `OmitSource param.Field[bool]` Query param: Omit the source-files of schemas and only retrieve their meta-data. - `Page param.Field[int64]` Query param: Page number of paginated results. - `PerPage param.Field[int64]` Query param: Maximum number of results per page. - `ValidationEnabled param.Field[bool]` Query param: Filter for enabled schemas ### Returns - `type PublicSchema struct{…}` A schema used in schema validation - `CreatedAt Time` - `Kind PublicSchemaKind` The kind of the schema - `const PublicSchemaKindOpenAPIV3 PublicSchemaKind = "openapi_v3"` - `Name string` A human-readable name for the schema - `SchemaID string` A unique identifier of this schema - `Source string` The raw schema, e.g., the OpenAPI schema, either as JSON or YAML - `ValidationEnabled bool` An indicator if this schema is enabled ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/schema_validation" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) page, err := client.SchemaValidation.Schemas.List(context.TODO(), schema_validation.SchemaListParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "created_at": "2014-01-01T05:20:00.12345Z", "kind": "openapi_v3", "name": "petstore schema", "schema_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "source": "", "validation_enabled": true } ], "success": true, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ```